CMP(1)

NAME
cmp - compare two files

SYNOPSIS
cmp [ -l ] [ -s ] file1 file2

DESCRIPTION
The two files are compared. (If file1 is `-', the standard input is used.) Under default options, cmp makes no comment if the files are the same; if they differ, it announces the byte and line number at which the difference occurred. If one file is an initial subsequence of the other, that fact is noted.

Options:

-l  Print the byte number (decimal) and the differing bytes (octal) for each difference.

-s  Print nothing for differing files; return codes only.

SEE ALSO
diff(1), comm(1)

DIAGNOSTICS
Exit code 0 is returned for identical files, 1 for different files, and 2 for an inaccessible or missing argument.